## clawsker 0.6.0

=== po/Makefile ===
#
# Clawsker po makefile
# $Id: Makefile 217 2009-01-23 07:12:35Z mones $
#

NAME = clawsker
VERSION = $(shell cat ../VERSION)
PREFIX ?= /usr/local
DATADIR = ${PREFIX}/share
LOCALEDIR = ${DATADIR}/locale

XG_ARGS = --keyword=_ --flag=_:1:pass-java-format -L Perl -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=ricardo@mones.org
LINGUAS = es sr sr@latin fr it

all: build

update-pot:
	xgettext ${XG_ARGS} -f ./POTFILES -d ${NAME} -o ./${NAME}.pot

%.pox: %.po
	msgmerge -o $@ --previous $< ${NAME}.pot 

build:
	for po in ${LINGUAS}; \
	do msgfmt -c -o t-$${po} $${po}.po && mv -f t-$${po} $${po}.mo; \
	done
	

install: all install-dirs
	for po in ${LINGUAS}; \
	do install -m 0644 $${po}.mo ${DESTDIR}${LOCALEDIR}/$${po}/LC_MESSAGES/${NAME}.mo; \
	done

install-dirs:
	for po in ${LINGUAS}; \
	do install -d ${DESTDIR}${LOCALEDIR}/$${po}/LC_MESSAGES; \
	done

uninstall:
	for po in ${LINGUAS}; \
	do rm -f  ${DESTDIR}${LOCALEDIR}/$${po}/LC_MESSAGES/${NAME}.mo; \
	done

clean-build:
	rm -f *.mo

clean-pox:
	rm -f *.pox

clean: clean-build
	rm -f *~

.PHONY: all build install install-dirs uninstall clean clean-pox clean-build update-pot

## clawsker 0.7.0

=== Makefile ===
#
# Clawsker makefile
# $Id: Makefile 14 2007-12-17 18:00:19Z mones $
#

NAME = clawsker
VERSION = $(shell cat VERSION)
PREFIX ?= /usr/local
BINDIR = ${PREFIX}/bin
DATADIR = ${PREFIX}/share
LIBDIR = ${PREFIX}/lib/${NAME}
MANDIR = ${DATADIR}/man
MAN1DIR = ${MANDIR}/man1

all: build

build:
	-mkdir build
	sed -e "s,@PREFIX@,${PREFIX},;s,@LIBDIR@,${LIBDIR},;s,@VERSION@,${VERSION}," \
		< ${NAME} > build/${NAME}
	pod2man ${NAME} > build/${NAME}.1
	${MAKE} -C po build
	

install: all install-dirs
	install -m 0755 build/${NAME} ${DESTDIR}${BINDIR}
	install -m 0644 build/${NAME}.1 ${DESTDIR}${MAN1DIR}
	${MAKE} -C po install

install-dirs:
	install -d ${DESTDIR}${BINDIR}
	install -d ${DESTDIR}${MAN1DIR}
	${MAKE} -C po install-dirs

uninstall:
	rm -f ${DESTDIR}${BINDIR}/${NAME}
	rm -f ${DESTDIR}${MAN1DIR}/${NAME}.1
	${MAKE} -C po uninstall

clean-build:
	rm -rf build

clean: clean-build
	rm -f *~
	${MAKE} -C po clean

.PHONY: all build install install-dirs uninstall clean clean-build

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Clawsker po makefile
-# $Id: Makefile 217 2009-01-23 07:12:35Z mones $
+# $Id: Makefile 265 2009-07-06 16:40:08Z mones $
 #
 
 NAME = clawsker
@@ -10,12 +10,18 @@
 LOCALEDIR = ${DATADIR}/locale
 
 XG_ARGS = --keyword=_ --flag=_:1:pass-java-format -L Perl -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=ricardo@mones.org
-LINGUAS = es sr sr@latin fr it
+LINGUAS = es sr sr@latin fr it id
 
 all: build
 
-update-pot:
-	xgettext ${XG_ARGS} -f ./POTFILES -d ${NAME} -o ./${NAME}.pot
+${NAME}.pot.0:
+	xgettext ${XG_ARGS} -f ./POTFILES -d ${NAME} -o ./${NAME}.pot.0
+
+# remove bogus entry win_title
+update-pot: ${NAME}.pot.0
+	head -17 ./${NAME}.pot.0 > ./${NAME}.pot
+	tail -$(shell expr $(shell wc -l < ./${NAME}.pot.0) - 21 ) ./${NAME}.pot.0 >> ./${NAME}.pot
+	rm -f ./${NAME}.pot.0
 
 %.pox: %.po
 	msgmerge -o $@ --previous $< ${NAME}.pot

## clawsker 0.7.1

=== debian/changelog ===
clawsker (0.7.1-1) unstable; urgency=low

  * New upstream release
  - Bumped Standards-Version: no other changes required
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/copyright
  - Rewritten into DEP5 machine-parsable format

 -- Ricardo Mones <mones@debian.org>  Fri, 14 May 2010 12:39:26 +0200

clawsker (0.7.0-2) unstable; urgency=low

  * debian/control
  - Add ${misc:Depends} (thanks lintian)
  - Set Standards-Version to 3.8.3 (no other changes)

 -- Ricardo Mones <mones@debian.org>  Thu, 31 Dec 2009 00:13:22 +0100

clawsker (0.7.0-1) unstable; urgency=low

  * New upstream release
  * debian/control
  - Bumped Standards-Version: no other changes required

 -- Ricardo Mones <mones@debian.org>  Tue, 07 Jul 2009 00:04:33 +0200

clawsker (0.6.0-1) unstable; urgency=low

  * New upstream release (Closes: #505194)
  * debian/rules
  - Remove translations mode fix (already upstream)

 -- Ricardo Mones <mones@debian.org>  Tue, 27 Jan 2009 00:10:58 +0100

clawsker (0.5.0-1) unstable; urgency=low

  * New upstream release
  * debian/rules
  - Fix newer translations mode again
  * debian/watch
  - Add watch file for monitoring upstream
  * debian/control
  - Updated Standards-Version to latest (3.8.0)

 -- Ricardo Mones <mones@debian.org>  Sat, 28 Jun 2008 00:46:52 +0200

clawsker (0.4.0-1) unstable; urgency=low

  * New upstream release
  * debian/rules
  - Fix newer translations mode

 -- Ricardo Mones <mones@debian.org>  Tue, 26 Feb 2008 12:55:18 +0100

clawsker (0.3.0-1) unstable; urgency=low

  * Initial packaging.

 -- Ricardo Mones <mones@debian.org>  Mon, 21 Jan 2008 10:53:31 +0100

=== debian/control ===
Source: clawsker
Section: mail
Priority: extra
Maintainer: Ricardo Mones <mones@debian.org>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: perl (>= 5.8)
Standards-Version: 3.8.4
Homepage: http://www.claws-mail.org/clawsker

Package: clawsker
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libgtk2-perl (>= 1.140), liblocale-gettext-perl (>= 1.05)
Recommends: claws-mail
Enhances: claws-mail
Description: A configuration tweaker for Claws Mail
 Clawsker is an applet to edit the so called Claws Mail hidden preferences.
 .
 Claws Mail is a fast, lightweight and feature-rich MUA with a high number 
 of configurable options. To keep the binary small and fast some of these 
 preferences which not widely used are not provided with a graphical 
 interface for inspection and/or modification.
 .
 Users wanting to edit such preferences had to face raw edition of their 
 configuration files, now you can do it with a convenient GTK2 interface
 using Clawsker.

=== debian/rules ===
#!/usr/bin/make -f

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE) PREFIX=/usr
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/clawsker install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_perl
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## clawsker 0.7.2

=== debian/changelog ===
clawsker (0.7.2-1) unstable; urgency=low

  * New upstream release

 -- Ricardo Mones <mones@debian.org>  Sat, 26 Jun 2010 02:09:02 +0200

## clawsker 0.7.5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Clawsker makefile
-# $Id: Makefile 14 2007-12-17 18:00:19Z mones $
+# $Id$
 #
 
 NAME = clawsker
@@ -16,9 +16,8 @@
 
 build:
 	-mkdir build
-	sed -e "s,@PREFIX@,${PREFIX},;s,@LIBDIR@,${LIBDIR},;s,@VERSION@,${VERSION}," \
-		< ${NAME} > build/${NAME}
-	pod2man ${NAME} > build/${NAME}.1
+	sed -e "s,@PREFIX@,${PREFIX},;s,@LIBDIR@,${LIBDIR},;s,@VERSION@,${VERSION}," < ${NAME} > build/${NAME}
+	pod2man --release ${VERSION} -c '' ${NAME}.pod > build/${NAME}.1
 	${MAKE} -C po build

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Clawsker po makefile
-# $Id: Makefile 265 2009-07-06 16:40:08Z mones $
+# $Id$
 #
 
 NAME = clawsker
@@ -10,7 +10,7 @@
 LOCALEDIR = ${DATADIR}/locale
 
 XG_ARGS = --keyword=_ --flag=_:1:pass-java-format -L Perl -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=ricardo@mones.org
-LINGUAS = es sr sr@latin fr it id
+LINGUAS = es sr sr@latin fr it id pt_BR
 
 all: build
 
@@ -28,7 +28,7 @@
 
 build:
 	for po in ${LINGUAS}; \
-	do msgfmt -c -o t-$${po} $${po}.po && mv -f t-$${po} $${po}.mo; \
+	do msgfmt -v --statistics -c -o t-$${po} $${po}.po && mv -f t-$${po} $${po}.mo; \
 	done

=== debian/changelog ===
clawsker (0.7.5-2) unstable; urgency=low

  * debian/control
  - Development moved to git.debian.org: added Vcs-* headers
  * debian/copyright
  - Refactor license text into a separate paragraph for lintian

 -- Ricardo Mones <mones@debian.org>  Sat, 17 Sep 2011 16:41:02 +0200

clawsker (0.7.5-1) unstable; urgency=low

  * New upstream release
  * debian/control
  - Bump Standards-Version to 3.9.2 (no other changes required)
  - Fix short description beginning (thanks lintian!)
  * debian/copyright
  - Update to follow current DEP5 format
  * debian/control, debian/rules, debian/compat
  - Switch to debhelper sequencer and raise compat level to 8

 -- Ricardo Mones <mones@debian.org>  Mon, 18 Apr 2011 10:20:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,20 @@
 Section: mail
 Priority: extra
 Maintainer: Ricardo Mones <mones@debian.org>
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 8)
 Build-Depends-Indep: perl (>= 5.8)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://www.claws-mail.org/clawsker
+Vcs-Git: git://git.debian.org/git/users/mones/clawsker.git
+Vcs-Browser: http://git.debian.org/?p=users/mones/clawsker.git
 
 Package: clawsker
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, libgtk2-perl (>= 1.140), liblocale-gettext-perl (>= 1.05)
+Depends: ${perl:Depends}, ${misc:Depends}, libgtk2-perl (>= 1.140),
+ liblocale-gettext-perl (>= 1.05)
 Recommends: claws-mail
 Enhances: claws-mail
-Description: A configuration tweaker for Claws Mail
+Description: Configuration tweaker for Claws Mail
  Clawsker is an applet to edit the so called Claws Mail hidden preferences.
  .
  Claws Mail is a fast, lightweight and feature-rich MUA with a high number

## clawsker 0.7.7

=== debian/changelog ===
clawsker (0.7.7-1) unstable; urgency=low

  * New upstream release
  * debian/control, debian/compat
  - Bump debhelper compatibility level to 9
  - Upddate Standards-Version to 3.9.3 (no other changes required)
  * debian/copyright
  - Update for Copyright Format 1.0

 -- Ricardo Mones <mones@debian.org>  Mon, 14 May 2012 10:55:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: mail
 Priority: extra
 Maintainer: Ricardo Mones <mones@debian.org>
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: perl (>= 5.8)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.claws-mail.org/clawsker
 Vcs-Git: git://git.debian.org/git/users/mones/clawsker.git
 Vcs-Browser: http://git.debian.org/?p=users/mones/clawsker.git

## clawsker 0.7.8

=== debian/changelog ===
clawsker (0.7.8-1) unstable; urgency=low

  * New upstream release

 -- Ricardo Mones <mones@debian.org>  Wed, 27 Jun 2012 01:18:34 +0200

clawsker (0.7.7-2) unstable; urgency=low

  * debian/control
  - Fix Homepage URL (thanks to the DUCK!)
  * debian/copyright
  - Remove POD control chars from license text

 -- Ricardo Mones <mones@debian.org>  Sat, 09 Jun 2012 12:30:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: perl (>= 5.8)
 Standards-Version: 3.9.3
-Homepage: http://www.claws-mail.org/clawsker
+Homepage: http://www.claws-mail.org/clawsker.php
 Vcs-Git: git://git.debian.org/git/users/mones/clawsker.git
 Vcs-Browser: http://git.debian.org/?p=users/mones/clawsker.git

## clawsker 0.7.9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 #
 # Clawsker makefile
-# $Id$
 #
 
 NAME = clawsker
-VERSION = $(shell cat VERSION)
+VERSION ?= 0.7.9
 PREFIX ?= /usr/local
 BINDIR = ${PREFIX}/bin
 DATADIR = ${PREFIX}/share
@@ -36,6 +35,15 @@
 	rm -f ${DESTDIR}${MAN1DIR}/${NAME}.1
 	${MAKE} -C po uninstall
 
+dist:
+	rm -rf ${NAME}-${VERSION}
+	mkdir ${NAME}-${VERSION}
+	cp -p AUTHORS ChangeLog.old clawsker clawsker.pod \
+		COPYING Makefile NEWS README ${NAME}-${VERSION}
+	cp -rp po ${NAME}-${VERSION}
+	tar czf ${NAME}-${VERSION}.tar.gz ${NAME}-${VERSION} \
+		&& rm -rf ${NAME}-${VERSION}
+
 clean-build:
 	rm -rf build
 
@@ -43,5 +51,5 @@
 	rm -f *~
 	${MAKE} -C po clean
 
-.PHONY: all build install install-dirs uninstall clean clean-build
+.PHONY: all build install install-dirs uninstall clean clean-build dist

=== debian/changelog ===
clawsker (0.7.9-1) unstable; urgency=low

  * New upstream release
  * debian/control
  - Update Standards-Version to 3.9.4 (no other changes required)
  - Update VCS URLs to the canonical values (thanks lintian!)
  * debian/copyright
  - Update years and fix source URL

 -- Ricardo Mones <mones@debian.org>  Wed, 08 May 2013 20:14:17 +0200

## clawsker 0.7.10

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 
 NAME = clawsker
-VERSION ?= 0.7.9
+VERSION ?= 0.7.10
 PREFIX ?= /usr/local
 BINDIR = ${PREFIX}/bin
 DATADIR = ${PREFIX}/share

=== po/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 LOCALEDIR = ${DATADIR}/locale
 
 XG_ARGS = --keyword=_ --flag=_:1:pass-java-format -L Perl -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=ricardo@mones.org
-LINGUAS = es sr sr@latin fr it id pt_BR
+LINGUAS = es sr sr@latin fr it id pt_BR sv
 
 all: build
 
@@ -20,7 +20,7 @@
 # remove bogus entry win_title
 update-pot: ${NAME}.pot.0
 	head -17 ./${NAME}.pot.0 > ./${NAME}.pot
-	tail -$(shell expr $(shell wc -l < ./${NAME}.pot.0) - 21 ) ./${NAME}.pot.0 >> ./${NAME}.pot
+	tail -$(shell expr $(shell wc -l < ./${NAME}.pot.0) - 22 ) ./${NAME}.pot.0 >> ./${NAME}.pot
 	rm -f ./${NAME}.pot.0
 
 %.pox: %.po

=== debian/changelog ===
clawsker (0.7.10-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Add myself to uploaders

 -- Andreas Rönnquist <gusnan@gusnan.se>  Sun, 21 Jul 2013 21:06:24 +0200

clawsker (0.7.10-1) unstable; urgency=low

  * New upstream release

 -- Ricardo Mones <mones@debian.org>  Tue, 14 May 2013 01:54:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: mail
 Priority: extra
 Maintainer: Ricardo Mones <mones@debian.org>
+Uploaders: Andreas Rönnquist <gusnan@gusnan.se>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: perl (>= 5.8)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.claws-mail.org/clawsker.php
-Vcs-Git: git://git.debian.org/git/users/mones/clawsker.git
-Vcs-Browser: http://git.debian.org/?p=users/mones/clawsker.git
+Vcs-Git: git://anonscm.debian.org/users/mones/clawsker.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/mones/clawsker.git
 
 Package: clawsker
 Architecture: all

## clawsker 0.7.11

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,17 @@
 #
-# Clawsker makefile
+# Clawsker Makefile
+# Copyright 2007-2014 Ricardo Mones <ricardo@mones.org>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# See COPYING file for license details.
 #
 
 NAME = clawsker
-VERSION ?= 0.7.10
+VERSION ?= 0.7.11
 PREFIX ?= /usr/local
 BINDIR = ${PREFIX}/bin
 DATADIR = ${PREFIX}/share

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,13 @@
 #
-# Clawsker po makefile
-# $Id$
+# Clawsker po Makefile
+# Copyright 2007-2014 Ricardo Mones <ricardo@mones.org>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# See COPYING file for license details.
 #
 
 NAME = clawsker

=== debian/changelog ===
clawsker (0.7.11-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Add myself to uploaders

 -- Andreas Rönnquist <gusnan@gusnan.se>  Sun, 20 Jul 2014 13:29:00 +0200

clawsker (0.7.11-1) unstable; urgency=medium

  * New upstream release 
  * debian/control
  - Update Standards-Version to 3.9.5 (no other changes)
  * links
  - Link changelog to NEWS file to keep lintian happy

 -- Ricardo Mones <mones@debian.org>  Fri, 13 Jun 2014 16:32:58 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Andreas Rönnquist <gusnan@gusnan.se>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: perl (>= 5.8)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.claws-mail.org/clawsker.php
 Vcs-Git: git://anonscm.debian.org/users/mones/clawsker.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/mones/clawsker.git

## clawsker 0.7.12

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 #
 
 NAME = clawsker
-VERSION ?= 0.7.11
+VERSION ?= 0.7.12
 PREFIX ?= /usr/local
 BINDIR = ${PREFIX}/bin
 DATADIR = ${PREFIX}/share

=== po/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 LOCALEDIR = ${DATADIR}/locale
 
 XG_ARGS = --keyword=_ --flag=_:1:pass-java-format -L Perl -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=ricardo@mones.org
-LINGUAS = es sr sr@latin fr it id pt_BR sv
+LINGUAS = es sr sr@latin fr it id nl pt_BR sv
 
 all: build

=== debian/changelog ===
clawsker (0.7.12-2) unstable; urgency=medium

  * debian/copyright
  - Update years and move copyright to Files: * paragraph
  * debian/control
  - Update Standards-Version to 3.9.6 (no other changes)

 -- Ricardo Mones <mones@debian.org>  Wed, 01 Oct 2014 13:18:00 +0200

clawsker (0.7.12-1) unstable; urgency=medium

  * New upstream release

 -- Ricardo Mones <mones@debian.org>  Fri, 08 Aug 2014 00:25:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: mail
 Priority: extra
 Maintainer: Ricardo Mones <mones@debian.org>
-Uploaders: Andreas Rönnquist <gusnan@gusnan.se>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: perl (>= 5.8)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.claws-mail.org/clawsker.php
 Vcs-Git: git://anonscm.debian.org/users/mones/clawsker.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/mones/clawsker.git

## clawsker 0.7.13

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Clawsker Makefile
-# Copyright 2007-2014 Ricardo Mones <ricardo@mones.org>
+# Copyright 2007-2015 Ricardo Mones <ricardo@mones.org>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -11,7 +11,7 @@
 #
 
 NAME = clawsker
-VERSION ?= 0.7.12
+VERSION ?= 0.7.13
 PREFIX ?= /usr/local
 BINDIR = ${PREFIX}/bin
 DATADIR = ${PREFIX}/share

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Clawsker po Makefile
-# Copyright 2007-2014 Ricardo Mones <ricardo@mones.org>
+# Copyright 2007-2015 Ricardo Mones <ricardo@mones.org>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,7 +17,7 @@
 LOCALEDIR = ${DATADIR}/locale
 
 XG_ARGS = --keyword=_ --flag=_:1:pass-java-format -L Perl -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=ricardo@mones.org
-LINGUAS = es sr sr@latin fr it id nl pt_BR sv
+LINGUAS = es sr sr@latin fr it id nl pt_BR sv nb
 
 all: build

=== debian/changelog ===
clawsker (0.7.13-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
  - Update year ranges
  * debian/control
  - Update Vcs-* addresses

 -- Ricardo Mones <mones@debian.org>  Thu, 03 Sep 2015 20:39:06 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends-Indep: perl (>= 5.8)
 Standards-Version: 3.9.6
 Homepage: http://www.claws-mail.org/clawsker.php
-Vcs-Git: git://anonscm.debian.org/users/mones/clawsker.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/mones/clawsker.git
+Vcs-Git: https://anonscm.debian.org/git/users/mones/clawsker.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/mones/clawsker.git
 
 Package: clawsker
 Architecture: all

=== debian/watch ===
version=3
http://www.claws-mail.org/tools/clawsker-(\d+\.\d+\.\d+).tar.gz

## clawsker 0.7.14

=== Makefile ===
#
# Clawsker Makefile
# Copyright 2007-2016 Ricardo Mones <ricardo@mones.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# See COPYING file for license details.
#

NAME = clawsker
VERSION ?= 0.7.14
PREFIX ?= /usr/local
BINDIR = ${PREFIX}/bin
DATADIR = ${PREFIX}/share
LIBDIR = ${PREFIX}/lib/${NAME}
MANDIR = ${DATADIR}/man
MAN1DIR = ${MANDIR}/man1
APPSDIR = ${DATADIR}/applications
THEMEDIR = ${DATADIR}/icons/hicolor
ICONRES = 64 128

all: build

build:
	-mkdir build
	sed -e "s,@PREFIX@,${PREFIX},;s,@LIBDIR@,${LIBDIR},;s,@VERSION@,${VERSION},;s,@DATADIR@,${DATADIR}," < ${NAME} > build/${NAME}
	pod2man --release ${VERSION} -c '' ${NAME}.pod > build/${NAME}.1
	${MAKE} -C po build
	

install: all install-dirs install-icons
	install -m 0755 build/${NAME} ${DESTDIR}${BINDIR}
	install -m 0644 build/${NAME}.1 ${DESTDIR}${MAN1DIR}
	install -m 0644 ${NAME}.desktop ${DESTDIR}${APPSDIR}
	${MAKE} -C po install

install-dirs: install-icons-dirs
	install -d ${DESTDIR}${BINDIR}
	install -d ${DESTDIR}${MAN1DIR}
	install -d ${DESTDIR}${APPSDIR}
	${MAKE} -C po install-dirs

install-icons-dirs:
	install -d ${DESTDIR}${THEMEDIR}
	for res in ${ICONRES}; do \
		install -d ${DESTDIR}${THEMEDIR}/$${res}x$${res}/apps; \
	done

install-icons:
	for res in ${ICONRES}; do \
		install -m 0644 icons/${NAME}-$${res}.png ${DESTDIR}${THEMEDIR}/$${res}x$${res}/apps/${NAME}.png; \
	done

uninstall-icons:
	for res in ${ICONRES}; do \
		rm -f ${DESTDIR}${THEMEDIR}/$${res}x$${res}/apps/${NAME}.png; \
	done

uninstall: uninstall-icons
	rm -f ${DESTDIR}${BINDIR}/${NAME}
	rm -f ${DESTDIR}${MAN1DIR}/${NAME}.1
	rm -f ${DESTDIR}${APPSDIR}/${NAME}.desktop
	${MAKE} -C po uninstall

dist:
	rm -rf ${NAME}-${VERSION}
	mkdir ${NAME}-${VERSION}
	cp -p AUTHORS ChangeLog.old ${NAME} ${NAME}.pod ${NAME}.desktop \
		COPYING Makefile NEWS README ${NAME}-${VERSION}
	cp -rp po ${NAME}-${VERSION}
	cp -rp icons ${NAME}-${VERSION}
	tar cJf ${NAME}-${VERSION}.tar.xz ${NAME}-${VERSION} \
		&& rm -rf ${NAME}-${VERSION}

clean-build:
	rm -rf build

clean: clean-build
	rm -f *~
	${MAKE} -C po clean

.PHONY: all build install install-dirs uninstall clean clean-build dist

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Clawsker po Makefile
-# Copyright 2007-2015 Ricardo Mones <ricardo@mones.org>
+# Copyright 2007-2016 Ricardo Mones <ricardo@mones.org>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,7 +17,7 @@
 LOCALEDIR = ${DATADIR}/locale
 
 XG_ARGS = --keyword=_ --flag=_:1:pass-java-format -L Perl -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=ricardo@mones.org
-LINGUAS = es sr sr@latin fr it id nl pt_BR sv nb
+LINGUAS = es fr it id nl pt_BR sv nb de ca tr
 
 all: build

=== debian/changelog ===
clawsker (0.7.14-1) unstable; urgency=medium

  * New upstream release
  * debian/menu
  - Removed to implement tech-ctte resolution on #741573
  * debian/control
  - Standards-Version: updated to 3.9.8 (no other changes)
  * debian/copyright
  - Update year ranges
  * debian/watch
  - Update URL: upstream changed to xz compressed tarball

 -- Ricardo Mones <mones@debian.org>  Tue, 16 Aug 2016 18:19:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ricardo Mones <mones@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: perl (>= 5.8)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.claws-mail.org/clawsker.php
 Vcs-Git: https://anonscm.debian.org/git/users/mones/clawsker.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/mones/clawsker.git

=== debian/watch ===
version=3
http://www.claws-mail.org/tools/clawsker-(\d+\.\d+\.\d+).tar.xz

## clawsker 1.0.0

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 #
 
 NAME = clawsker
-VERSION ?= 0.7.14
+VERSION ?= 1.0.0
 PREFIX ?= /usr/local
 BINDIR = ${PREFIX}/bin
 DATADIR = ${PREFIX}/share
@@ -24,12 +24,14 @@
 
 all: build
 
-build:
+build: ${NAME}.1
 	-mkdir build
 	sed -e "s,@PREFIX@,${PREFIX},;s,@LIBDIR@,${LIBDIR},;s,@VERSION@,${VERSION},;s,@DATADIR@,${DATADIR}," < ${NAME} > build/${NAME}
-	pod2man --release ${VERSION} -c '' ${NAME}.pod > build/${NAME}.1
+	cp -p $< build/$<
 	${MAKE} -C po build
-	
+
+${NAME}.1: ${NAME}.pod
+	pod2man --release ${VERSION} -c '' $< > $@
 
 install: all install-dirs install-icons
 	install -m 0755 build/${NAME} ${DESTDIR}${BINDIR}
@@ -76,11 +78,12 @@
 		&& rm -rf ${NAME}-${VERSION}
 
 clean-build:
+	rm -f ${NAME}.1
 	rm -rf build
 
 clean: clean-build
 	rm -f *~
 	${MAKE} -C po clean
 
-.PHONY: all build install install-dirs uninstall clean clean-build dist
+.PHONY: all build install install-dirs install-icons-dirs install-icons uninstall uninstall-icons clean clean-build dist

=== po/Makefile ===
--- 
+++ 
@@ -11,13 +11,13 @@
 #
 
 NAME = clawsker
-VERSION = $(shell cat ../VERSION)
+VERSION ?= $(shell git describe)
 PREFIX ?= /usr/local
 DATADIR = ${PREFIX}/share
 LOCALEDIR = ${DATADIR}/locale
 
 XG_ARGS = --keyword=_ --flag=_:1:pass-java-format -L Perl -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=ricardo@mones.org
-LINGUAS = es fr it id nl pt_BR sv nb de ca tr
+LINGUAS = es fr nl pt_BR sv nb de ca tr
 
 all: build

=== debian/changelog ===
clawsker (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * debian/watch, debian/upstream/signing-key.asc
  - Add upstream signing key and update watch file for it
  * debian/control
  - Fix typo

 -- Ricardo Mones <mones@debian.org>  Mon, 03 Oct 2016 00:29:45 +0200

## clawsker 1.0.1

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 #
 
 NAME = clawsker
-VERSION ?= 1.0.0
+VERSION ?= 1.0.1
 PREFIX ?= /usr/local
 BINDIR = ${PREFIX}/bin
 DATADIR = ${PREFIX}/share
@@ -20,7 +20,7 @@
 MAN1DIR = ${MANDIR}/man1
 APPSDIR = ${DATADIR}/applications
 THEMEDIR = ${DATADIR}/icons/hicolor
-ICONRES = 64 128
+ICONRES = 48 64 128
 
 all: build

=== po/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 LOCALEDIR = ${DATADIR}/locale
 
 XG_ARGS = --keyword=_ --flag=_:1:pass-java-format -L Perl -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=ricardo@mones.org
-LINGUAS = es fr nl pt_BR sv nb de ca tr
+LINGUAS = es fr nl pt_BR sv nb de ca tr da id
 
 all: build

=== debian/changelog ===
clawsker (1.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Ricardo Mones <mones@debian.org>  Sun, 13 Nov 2016 19:53:02 +0100

=== debian/control ===
--- 
+++ 
@@ -24,5 +24,5 @@
  interface for inspection and/or modification.
  .
  Users wanting to edit such preferences had to face raw edition of their 
- configuration files, now you can do it with a convenient GTK2 interface
+ configuration files, now you can do it with a convenient GTK+2 interface
  using Clawsker.

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
http://www.claws-mail.org/tools/clawsker-(\d+\.\d+\.\d+).tar.xz

## clawsker 1.1.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Clawsker Makefile
-# Copyright 2007-2016 Ricardo Mones <ricardo@mones.org>
+# Copyright 2007-2017 Ricardo Mones <ricardo@mones.org>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -11,7 +11,7 @@
 #
 
 NAME = clawsker
-VERSION ?= 1.0.1
+VERSION ?= 1.1.0
 PREFIX ?= /usr/local
 BINDIR = ${PREFIX}/bin
 DATADIR = ${PREFIX}/share
@@ -51,7 +51,7 @@
 		install -d ${DESTDIR}${THEMEDIR}/$${res}x$${res}/apps; \
 	done
 
-install-icons:
+install-icons: install-icons-dirs
 	for res in ${ICONRES}; do \
 		install -m 0644 icons/${NAME}-$${res}.png ${DESTDIR}${THEMEDIR}/$${res}x$${res}/apps/${NAME}.png; \
 	done
@@ -72,8 +72,13 @@
 	mkdir ${NAME}-${VERSION}
 	cp -p AUTHORS ChangeLog.old ${NAME} ${NAME}.pod ${NAME}.desktop \
 		COPYING Makefile NEWS README ${NAME}-${VERSION}
-	cp -rp po ${NAME}-${VERSION}
-	cp -rp icons ${NAME}-${VERSION}
+	mkdir ${NAME}-${VERSION}/po
+	cp -p po/*.po po/*.pot po/Makefile po/POTFILES po/README po/STATUS \
+		${NAME}-${VERSION}/po
+	mkdir ${NAME}-${VERSION}/po/unmaint
+	cp -p po/unmaint/*.po ${NAME}-${VERSION}/po/unmaint
+	mkdir ${NAME}-${VERSION}/icons
+	cp -p icons/*.xcf icons/*.png ${NAME}-${VERSION}/icons
 	tar cJf ${NAME}-${VERSION}.tar.xz ${NAME}-${VERSION} \
 		&& rm -rf ${NAME}-${VERSION}

=== debian/changelog ===
clawsker (1.1.0-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control
  - Standards-Version: updated to 4.0.0 (no other changes)
  * debian/copyright
  - Update Format URL to use preferred version
  - Update date ranges

 -- Ricardo Mones <mones@debian.org>  Wed, 12 Jul 2017 18:17:24 +0200

clawsker (1.1.0-1) experimental; urgency=medium

  * New upstream release
  * debian/watch
  - Update version and generalize download URL

 -- Ricardo Mones <mones@debian.org>  Fri, 02 Jun 2017 13:36:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ricardo Mones <mones@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: perl (>= 5.8)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.claws-mail.org/clawsker.php
 Vcs-Git: https://anonscm.debian.org/git/users/mones/clawsker.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/mones/clawsker.git

## clawsker 1.1.1

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 #
 
 NAME = clawsker
-VERSION ?= 1.1.0
+VERSION ?= 1.1.1
 PREFIX ?= /usr/local
 BINDIR = ${PREFIX}/bin
 DATADIR = ${PREFIX}/share

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Clawsker po Makefile
-# Copyright 2007-2016 Ricardo Mones <ricardo@mones.org>
+# Copyright 2007-2017 Ricardo Mones <ricardo@mones.org>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== debian/changelog ===
clawsker (1.1.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control
  - Standards-Version: updated to 4.1.2
  - Priority: changed from extra to optional
  * debian/control, debian/compat
  - Raisei debhelper compatibility level to 10

 -- Ricardo Mones <mones@debian.org>  Sun, 24 Dec 2017 18:23:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: clawsker
 Section: mail
-Priority: extra
+Priority: optional
 Maintainer: Ricardo Mones <mones@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 10)
 Build-Depends-Indep: perl (>= 5.8)
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Homepage: http://www.claws-mail.org/clawsker.php
 Vcs-Git: https://anonscm.debian.org/git/users/mones/clawsker.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/mones/clawsker.git

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
http://www.claws-mail.org/tools/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## clawsker 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Clawsker Makefile
-# Copyright 2007-2017 Ricardo Mones <ricardo@mones.org>
+# Copyright 2007-2018 Ricardo Mones <ricardo@mones.org>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -11,7 +11,7 @@
 #
 
 NAME = clawsker
-VERSION ?= 1.1.1
+VERSION ?= 1.2.0
 PREFIX ?= /usr/local
 BINDIR = ${PREFIX}/bin
 DATADIR = ${PREFIX}/share

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Clawsker po Makefile
-# Copyright 2007-2017 Ricardo Mones <ricardo@mones.org>
+# Copyright 2007-2018 Ricardo Mones <ricardo@mones.org>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -11,6 +11,8 @@
 #
 
 NAME = clawsker
+TITLE = \# Translatable strings for Clawsker
+COPYR = \# Copyright (C) 2007 Ricardo Mones <ricardo@mones.org>
 VERSION ?= $(shell git describe)
 PREFIX ?= /usr/local
 DATADIR = ${PREFIX}/share
@@ -22,13 +24,17 @@
 all: build
 
 ${NAME}.pot.0:
-	xgettext ${XG_ARGS} -f ./POTFILES -d ${NAME} -o ./${NAME}.pot.0
+	xgettext ${XG_ARGS} -f ./POTFILES -d ${NAME} -o $@
 
 # remove bogus entry win_title
-update-pot: ${NAME}.pot.0
-	head -17 ./${NAME}.pot.0 > ./${NAME}.pot
-	tail -$(shell expr $(shell wc -l < ./${NAME}.pot.0) - 22 ) ./${NAME}.pot.0 >> ./${NAME}.pot
-	rm -f ./${NAME}.pot.0
+${NAME}.pot.1: ${NAME}.pot.0
+	head -17 $< > $@
+	tail -$(shell expr $(shell wc -l < $<) - 22 ) $< >> $@
+	rm -f $<
+
+update-pot: ${NAME}.pot.1
+	sed 's,^# SOME DESC.*,${TITLE},;s,^# Copyright.*,${COPYR},' < $< > ${NAME}.pot
+	rm -f $<
 
 %.pox: %.po
 	msgmerge -o $@ --previous $< ${NAME}.pot

=== debian/changelog ===
clawsker (1.2.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
  - Standards-Version: updated to 4.2.0 (no other changes)
  - Homepage: Update URL protocol
  - Vcs-*: Update URLs to point to salsa
  - Description: remove trailing whitespaces
  * debian/control, debian/compat
  - Elevate debhelper compatibility level to 11
  * debian/copyright
  - Update URL protocol and year ranges

 -- Ricardo Mones <mones@debian.org>  Mon, 20 Aug 2018 13:46:48 +0200

=== debian/control ===
Source: clawsker
Section: mail
Priority: optional
Maintainer: Ricardo Mones <mones@debian.org>
Build-Depends: debhelper (>= 11)
Build-Depends-Indep: perl (>= 5.8)
Standards-Version: 4.2.0
Homepage: https://www.claws-mail.org/clawsker.php
Vcs-Git: https://salsa.debian.org/claws-mail-team/clawsker.git
Vcs-Browser: https://salsa.debian.org/claws-mail-team/clawsker

Package: clawsker
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libgtk2-perl (>= 1.140),
 liblocale-gettext-perl (>= 1.05)
Recommends: claws-mail
Enhances: claws-mail
Description: Configuration tweaker for Claws Mail
 Clawsker is an applet to edit the so called Claws Mail hidden preferences.
 .
 Claws Mail is a fast, lightweight and feature-rich MUA with a high number
 of configurable options. To keep the binary small and fast some of these
 preferences which not widely used are not provided with a graphical
 interface for inspection and/or modification.
 .
 Users wanting to edit such preferences had to face raw edition of their
 configuration files, now you can do it with a convenient GTK+2 interface
 using Clawsker.

## clawsker 1.3.0

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 #
 
 NAME = clawsker
-VERSION ?= 1.2.0
+VERSION ?= 1.3.0
 PREFIX ?= /usr/local
 BINDIR = ${PREFIX}/bin
 DATADIR = ${PREFIX}/share

=== po/Makefile ===
--- 
+++ 
@@ -18,15 +18,15 @@
 DATADIR = ${PREFIX}/share
 LOCALEDIR = ${DATADIR}/locale
 
-XG_ARGS = --keyword=_ --flag=_:1:pass-java-format -L Perl -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=ricardo@mones.org
-LINGUAS = es fr nl pt_BR sv nb de ca tr da id
+XG_ARGS = --keyword=_ --flag=_:1:pass-java-format -L Perl -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=ricardo@mones.org --from-code=UTF-8
+LINGUAS = es fr nl pt_BR sv nb de ca tr da id zh_TW pt_PT
 
 all: build
 
 ${NAME}.pot.0:
 	xgettext ${XG_ARGS} -f ./POTFILES -d ${NAME} -o $@
 
-# remove bogus entry win_title
+# remove bogus entry about_title
 ${NAME}.pot.1: ${NAME}.pot.0
 	head -17 $< > $@
 	tail -$(shell expr $(shell wc -l < $<) - 22 ) $< >> $@

=== debian/changelog ===
clawsker (1.3.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Update changelog for stretch backport

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 05 Dec 2018 15:16:56 +0100

clawsker (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
  - Update dependencies, migrated to GTK+3 perl (Closes: #912872)
  - Update Standards-Version to 4.2.1
  * debian/watch
  - Update protocol in watch file (thanks lintian!)

 -- Ricardo Mones <mones@debian.org>  Tue, 04 Dec 2018 13:38:06 +0100

clawsker (1.2.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Add myself to uploaders

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 10 Oct 2018 15:17:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: mail
 Priority: optional
 Maintainer: Ricardo Mones <mones@debian.org>
+Uploaders: Andreas Rönnquist <gusnan@debian.org>
 Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: perl (>= 5.8)
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://www.claws-mail.org/clawsker.php
 Vcs-Git: https://salsa.debian.org/claws-mail-team/clawsker.git
 Vcs-Browser: https://salsa.debian.org/claws-mail-team/clawsker
 
 Package: clawsker
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, libgtk2-perl (>= 1.140),
- liblocale-gettext-perl (>= 1.05)
+Depends: ${perl:Depends}, ${misc:Depends}, libgtk3-perl (>= 0.030),
+ liblocale-gettext-perl (>= 1.05), libfile-which-perl (>= 1.21)
 Recommends: claws-mail
 Enhances: claws-mail
 Description: Configuration tweaker for Claws Mail

## clawsker 1.3.1

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 #
 
 NAME = clawsker
-VERSION ?= 1.3.0
+VERSION ?= 1.3.1
 PREFIX ?= /usr/local
 BINDIR = ${PREFIX}/bin
 DATADIR = ${PREFIX}/share
@@ -79,6 +79,8 @@
 	cp -p po/unmaint/*.po ${NAME}-${VERSION}/po/unmaint
 	mkdir ${NAME}-${VERSION}/icons
 	cp -p icons/*.xcf icons/*.png ${NAME}-${VERSION}/icons
+	mkdir ${NAME}-${VERSION}/t
+	cp -p t/*.t ${NAME}-${VERSION}/t
 	tar cJf ${NAME}-${VERSION}.tar.xz ${NAME}-${VERSION} \
 		&& rm -rf ${NAME}-${VERSION}
 
@@ -90,5 +92,12 @@
 	rm -f *~
 	${MAKE} -C po clean
 
-.PHONY: all build install install-dirs install-icons-dirs install-icons uninstall uninstall-icons clean clean-build dist
+test-setup:
+	@test -h t/Clawsker.pm || ( cd t/ && ln -s ../clawsker Clawsker.pm )
 
+test: test-setup
+	@env DISPLAY= prove -It
+
+.PHONY: all build install install-dirs install-icons-dirs install-icons
+.PHONY: uninstall uninstall-icons clean clean-build dist
+.PHONY: test-setup test

=== po/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 LOCALEDIR = ${DATADIR}/locale
 
 XG_ARGS = --keyword=_ --flag=_:1:pass-java-format -L Perl -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=ricardo@mones.org --from-code=UTF-8
-LINGUAS = es fr nl pt_BR sv nb de ca tr da id zh_TW pt_PT
+LINGUAS = es fr nl pt_BR sv nb de ca tr da zh_TW pt_PT
 
 all: build

=== debian/changelog ===
clawsker (1.3.1-1) unstable; urgency=medium

  * New upstream release
  * debian/upstream/signing-key.asc
  - Remove signatures from upstream signing key
  * debian/control
  - Update Standards-Version to 4.3.0
  - Update depencencies required to run tests
  * debian/copyright
  - Update years range

 -- Ricardo Mones <mones@debian.org>  Wed, 02 Jan 2019 01:38:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: mail
 Priority: optional
 Maintainer: Ricardo Mones <mones@debian.org>
-Uploaders: Andreas Rönnquist <gusnan@debian.org>
 Build-Depends: debhelper (>= 11)
-Build-Depends-Indep: perl (>= 5.8)
-Standards-Version: 4.2.1
+Build-Depends-Indep: perl (>= 5.8), libgtk3-perl (>= 0.030),
+ liblocale-gettext-perl (>= 1.05), libfile-which-perl (>= 1.21),
+ libtest-exception-perl (>= 0.43)
+Standards-Version: 4.3.0
 Homepage: https://www.claws-mail.org/clawsker.php
 Vcs-Git: https://salsa.debian.org/claws-mail-team/clawsker.git
 Vcs-Browser: https://salsa.debian.org/claws-mail-team/clawsker

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://www.claws-mail.org/tools/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## clawsker 1.3.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Clawsker Makefile
-# Copyright 2007-2018 Ricardo Mones <ricardo@mones.org>
+# Copyright 2007-2020 Ricardo Mones <ricardo@mones.org>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -11,7 +11,7 @@
 #
 
 NAME = clawsker
-VERSION ?= 1.3.1
+VERSION ?= 1.3.2
 PREFIX ?= /usr/local
 BINDIR = ${PREFIX}/bin
 DATADIR = ${PREFIX}/share
@@ -26,7 +26,11 @@
 
 build: ${NAME}.1
 	-mkdir build
-	sed -e "s,@PREFIX@,${PREFIX},;s,@LIBDIR@,${LIBDIR},;s,@VERSION@,${VERSION},;s,@DATADIR@,${DATADIR}," < ${NAME} > build/${NAME}
+	perl -MConfig -p -e'1..1 and s/.*/$$Config{startperl}/;' \
+		-e's,\@PREFIX\@,${PREFIX},;' \
+		-e's,\@LIBDIR\@,${LIBDIR},;' \
+		-e's,\@VERSION\@,${VERSION},;' \
+		-e's,\@DATADIR\@,${DATADIR},' ${NAME} > build/${NAME}
 	cp -p $< build/$<
 	${MAKE} -C po build

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Clawsker po Makefile
-# Copyright 2007-2018 Ricardo Mones <ricardo@mones.org>
+# Copyright 2007-2020 Ricardo Mones <ricardo@mones.org>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== debian/changelog ===
clawsker (1.3.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
  - Bump compat level up to 13
  - Bump Standards-Version up to 4.5.1
  - Fix UI name and update long description
  - Set Rules-Requires-Root field
  * debian/copyright
  - Update years in copyright
  * debian/upstream/metadata
  - Add upstream metadata file

 -- Ricardo Mones <mones@debian.org>  Mon, 30 Nov 2020 20:51:54 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: mail
 Priority: optional
 Maintainer: Ricardo Mones <mones@debian.org>
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: perl (>= 5.8), libgtk3-perl (>= 0.030),
  liblocale-gettext-perl (>= 1.05), libfile-which-perl (>= 1.21),
  libtest-exception-perl (>= 0.43)
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Homepage: https://www.claws-mail.org/clawsker.php
 Vcs-Git: https://salsa.debian.org/claws-mail-team/clawsker.git
 Vcs-Browser: https://salsa.debian.org/claws-mail-team/clawsker
@@ -26,5 +27,6 @@
  interface for inspection and/or modification.
  .
  Users wanting to edit such preferences had to face raw edition of their
- configuration files, now you can do it with a convenient GTK+2 interface
- using Clawsker.
+ configuration files, now you can do it with a convenient GTK+3 interface
+ using Clawsker. In addition to hidden preferences, windows positions
+ and/or sizes and keyboard shortcuts can be edited.

## clawsker 1.3.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Clawsker Makefile
-# Copyright 2007-2020 Ricardo Mones <ricardo@mones.org>
+# Copyright 2007-2021 Ricardo Mones <ricardo@mones.org>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -11,7 +11,7 @@
 #
 
 NAME = clawsker
-VERSION ?= 1.3.2
+VERSION ?= 1.3.4
 PREFIX ?= /usr/local
 BINDIR = ${PREFIX}/bin
 DATADIR = ${PREFIX}/share

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Clawsker po Makefile
-# Copyright 2007-2020 Ricardo Mones <ricardo@mones.org>
+# Copyright 2007-2021 Ricardo Mones <ricardo@mones.org>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== debian/changelog ===
clawsker (1.3.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control, debian/tests/*
  - Enable autopkgtest with a minimal test

 -- Ricardo Mones <mones@debian.org>  Tue, 23 Feb 2021 00:27:40 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  liblocale-gettext-perl (>= 1.05), libfile-which-perl (>= 1.21),
  libtest-exception-perl (>= 0.43)
 Rules-Requires-Root: no
+Testsuite: autopkgtest
 Standards-Version: 4.5.1
 Homepage: https://www.claws-mail.org/clawsker.php
 Vcs-Git: https://salsa.debian.org/claws-mail-team/clawsker.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build:
	$(MAKE) PREFIX=/usr

override_dh_auto_install:
	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/clawsker install

=== debian/tests/control ===
Tests: cm_version
Depends: @, claws-mail

## clawsker 1.3.5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Clawsker Makefile
-# Copyright 2007-2021 Ricardo Mones <ricardo@mones.org>
+# Copyright 2007-2022 Ricardo Mones <ricardo@mones.org>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -11,7 +11,7 @@
 #
 
 NAME = clawsker
-VERSION ?= 1.3.4
+VERSION ?= 1.3.5
 PREFIX ?= /usr/local
 BINDIR = ${PREFIX}/bin
 DATADIR = ${PREFIX}/share

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Clawsker po Makefile
-# Copyright 2007-2021 Ricardo Mones <ricardo@mones.org>
+# Copyright 2007-2022 Ricardo Mones <ricardo@mones.org>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== debian/changelog ===
clawsker (1.3.5-1) unstable; urgency=medium

  * New upstream release
  - Update Build-Depends-Indep for tests
  * Update years in copyright

 -- Ricardo Mones <mones@debian.org>  Sun, 23 Jan 2022 18:15:00 +0100

clawsker (1.3.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Ricardo Mones ]
  * Rename test script
  * Remove unnecessary field
  * Update Standards-Version to 4.6.0, no other changes
  * Update year in copyright

 -- Ricardo Mones <mones@debian.org>  Tue, 23 Nov 2021 00:23:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,19 @@
 Priority: optional
 Maintainer: Ricardo Mones <mones@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Indep: perl (>= 5.8), libgtk3-perl (>= 0.030),
- liblocale-gettext-perl (>= 1.05), libfile-which-perl (>= 1.21),
- libtest-exception-perl (>= 0.43)
+Build-Depends-Indep: perl, libgtk3-perl, liblocale-gettext-perl,
+ libfile-which-perl, libtest-exception-perl, libtest-needsdisplay-perl,
+ xauth, xvfb
 Rules-Requires-Root: no
-Testsuite: autopkgtest
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.claws-mail.org/clawsker.php
 Vcs-Git: https://salsa.debian.org/claws-mail-team/clawsker.git
 Vcs-Browser: https://salsa.debian.org/claws-mail-team/clawsker
 
 Package: clawsker
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, libgtk3-perl (>= 0.030),
- liblocale-gettext-perl (>= 1.05), libfile-which-perl (>= 1.21)
+Depends: ${perl:Depends}, ${misc:Depends}, libgtk3-perl,
+ liblocale-gettext-perl, libfile-which-perl
 Recommends: claws-mail
 Enhances: claws-mail
 Description: Configuration tweaker for Claws Mail
